package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 供应商审核第二步
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("supplier_approval_second")
public class SupplierApprovalSecond extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * c端 供应商企业历史信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * c端 供应商企业历史信息id
     */
    @TableField("c_supplier_info_history_id")
    private Long cSupplierInfoHistoryId;

    /**
     * c端 企业信息历史id
     */
    @TableField("c_enterprise_history_id")
    private Long cEnterpriseHistoryId;

    /**
     * 经营范围
     */
    @TableField("scope")
    private String scope;

    /**
     * 经营范围是否达标 0不达标 1达标
     */
    @TableField("scope_compliance")
    private Integer scopeCompliance;

    /**
     * 经营地址
     */
    @TableField("business_address")
    private String businessAddress;

    /**
     * 地点定位图是否达标 0不达标 1达标
     */
    @TableField("map_files_compliance")
    private Integer mapFilesCompliance;


    /**
     * 租房合同是否达标 0不达标 1达标
     */
    @TableField("rental_files_compliance")
    private Integer rentalFilesCompliance;


    /**
     * 房屋房费缴纳流水是否达标 0不达标 1达标
     */
    @TableField("water_files_compliance")
    private Integer waterFilesCompliance;


    /**
     * 办公环境是否达标 0不达标 1达标
     */
    @TableField("office_files_compliance")
    private Integer officeFilesCompliance;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 主营业务收入
     */
    @TableField("main_business_income")
    private BigDecimal mainBusinessIncome;

    /**
     * 主营业务收入得分
     */
    @TableField("main_business_income_score")
    private BigDecimal mainBusinessIncomeScore;

    /**
     * 主营业务成本
     */
    @TableField("main_business_cost")
    private BigDecimal mainBusinessCost;

    /**
     * 毛利率
     */
    @TableField("main_business_profit")
    private BigDecimal mainBusinessProfit;

    /**
     * 毛利率得分
     */
    @TableField("main_business_profit_score")
    private BigDecimal mainBusinessProfitScore;

    /**
     * 收入评级
     */
    @TableField("revenue_rating")
    private String revenueRating;

//    /**
//     * 评估意见
//     */
//    @TableField("evaluation_opinions")
//    private String evaluationOpinions;

    /**
     * 是否准入
     */
    @TableField("admitted")
    private String admitted;

    /**
     * 得分
     */
    @TableField("score")
    private BigDecimal score;

    /**
     * 股东得分
     */
    @TableField("shareholder_score")
    private BigDecimal shareholderScore;

    /**
     * 成立年限得分
     */
    @TableField("establishment_period_score")
    private BigDecimal establishmentPeriodScore;

    /**
     * 注册资本得分
     */
    @TableField("registered_capital_score")
    private BigDecimal registeredCapitalScore;

    /**
     * 注册地址得分
     */
    @TableField("registered_address_score")
    private BigDecimal registeredAddressScore;

    /**
     * 经营地址得分
     */
    @TableField("business_address_score")
    private BigDecimal businessAddressScore;

    /**
     * 所属行业得分
     */
    @TableField("industry_score")
    private BigDecimal industryScore;

    /**
     * 经营范围得分
     */
    @TableField("business_scope_score")
    private BigDecimal businessScopeScore;

    /**
     * 基本变动信息得分
     */
    @TableField("basic_change_score")
    private BigDecimal basicChangeScore;

    /**
     * 授信额度
     */
    @TableField("credit_limit")
    private BigDecimal creditLimit;

    /**
     * 法人年龄
     */
    @TableField("age")
    private Integer age;

    /**
     * 年龄是否达标 0不达标 1达标
     */
    @TableField("age_compliance")
    private Integer ageCompliance;

    /**
     * 法人必要补充资料提示
     */
    @TableField("notice")
    private String notice;
    /**
     * 供应商红否原因
     */
    @TableField(exist = false)
    private String supplierErrors;
    @TableField(exist = false)
    private List<Long> files;

    @TableField(exist = false)
    private List<FileStorage> fileStorageList;

    @TableField(exist = false)
    private DueDiligenceAllocation dueDiligenceAllocation;
    @TableField(exist = false)
    private List<FileStorageDO> mapFiles;
    @TableField(exist = false)
    private List< FileStorageDO> rentalFiles;
    @TableField(exist = false)
    private List<FileStorageDO> waterFiles;
    @TableField(exist = false)
    private List<FileStorageDO> officeFiles;
    @TableField(exist = false)
    private List<UpstreamProcurementDocuments> upstreamProcurementDocumentsList;
    @TableField(exist = false)
    private List<SalesDocumentsInfo> salesDocumentsInfoList;
    @TableField(exist = false)
    private String taskId;

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getAgeCompliance() {
        return ageCompliance;
    }

    public void setAgeCompliance(Integer ageCompliance) {
        this.ageCompliance = ageCompliance;
    }

    public String getNotice() {
        return notice;
    }

    public void setNotice(String notice) {
        this.notice = notice;
    }

    public String getSupplierErrors() {
        return supplierErrors;
    }

    public void setSupplierErrors(String supplierErrors) {
        this.supplierErrors = supplierErrors;
    }

    public List<FileStorage> getFileStorageList() {
        return fileStorageList;
    }

    public void setFileStorageList(List<FileStorage> fileStorageList) {
        this.fileStorageList = fileStorageList;
    }

    public List<Long> getFiles() {
        return files;
    }

    public void setFiles(List<Long> files) {
        this.files = files;
    }

    public BigDecimal getShareholderScore() {
        return shareholderScore;
    }

    public void setShareholderScore(BigDecimal shareholderScore) {
        this.shareholderScore = shareholderScore;
    }

    public BigDecimal getEstablishmentPeriodScore() {
        return establishmentPeriodScore;
    }

    public void setEstablishmentPeriodScore(BigDecimal establishmentPeriodScore) {
        this.establishmentPeriodScore = establishmentPeriodScore;
    }

    public BigDecimal getRegisteredCapitalScore() {
        return registeredCapitalScore;
    }

    public void setRegisteredCapitalScore(BigDecimal registeredCapitalScore) {
        this.registeredCapitalScore = registeredCapitalScore;
    }

    public BigDecimal getRegisteredAddressScore() {
        return registeredAddressScore;
    }

    public void setRegisteredAddressScore(BigDecimal registeredAddressScore) {
        this.registeredAddressScore = registeredAddressScore;
    }

    public BigDecimal getBusinessAddressScore() {
        return businessAddressScore;
    }

    public void setBusinessAddressScore(BigDecimal businessAddressScore) {
        this.businessAddressScore = businessAddressScore;
    }

    public BigDecimal getIndustryScore() {
        return industryScore;
    }

    public void setIndustryScore(BigDecimal industryScore) {
        this.industryScore = industryScore;
    }

    public BigDecimal getBusinessScopeScore() {
        return businessScopeScore;
    }

    public void setBusinessScopeScore(BigDecimal businessScopeScore) {
        this.businessScopeScore = businessScopeScore;
    }

    public BigDecimal getBasicChangeScore() {
        return basicChangeScore;
    }

    public void setBasicChangeScore(BigDecimal basicChangeScore) {
        this.basicChangeScore = basicChangeScore;
    }

    public BigDecimal getMainBusinessIncomeScore() {
        return mainBusinessIncomeScore;
    }

    public void setMainBusinessIncomeScore(BigDecimal mainBusinessIncomeScore) {
        this.mainBusinessIncomeScore = mainBusinessIncomeScore;
    }

    public BigDecimal getMainBusinessProfitScore() {
        return mainBusinessProfitScore;
    }

    public void setMainBusinessProfitScore(BigDecimal mainBusinessProfitScore) {
        this.mainBusinessProfitScore = mainBusinessProfitScore;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<SalesDocumentsInfo> getSalesDocumentsInfoList() {
        return salesDocumentsInfoList;
    }

    public void setSalesDocumentsInfoList(List<SalesDocumentsInfo> salesDocumentsInfoList) {
        this.salesDocumentsInfoList = salesDocumentsInfoList;
    }

    public List<UpstreamProcurementDocuments> getUpstreamProcurementDocumentsList() {
        return upstreamProcurementDocumentsList;
    }

    public void setUpstreamProcurementDocumentsList(List<UpstreamProcurementDocuments> upstreamProcurementDocumentsList) {
        this.upstreamProcurementDocumentsList = upstreamProcurementDocumentsList;
    }

    public List<FileStorageDO> getMapFiles() {
        return mapFiles;
    }

    public void setMapFiles(List<FileStorageDO> mapFiles) {
        this.mapFiles = mapFiles;
    }

    public List<FileStorageDO> getRentalFiles() {
        return rentalFiles;
    }

    public void setRentalFiles(List<FileStorageDO> rentalFiles) {
        this.rentalFiles = rentalFiles;
    }

    public List<FileStorageDO> getWaterFiles() {
        return waterFiles;
    }

    public void setWaterFiles(List<FileStorageDO> waterFiles) {
        this.waterFiles = waterFiles;
    }

    public List<FileStorageDO> getOfficeFiles() {
        return officeFiles;
    }

    public void setOfficeFiles(List<FileStorageDO> officeFiles) {
        this.officeFiles = officeFiles;
    }

    public DueDiligenceAllocation getDueDiligenceAllocation() {
        return dueDiligenceAllocation;
    }

    public void setDueDiligenceAllocation(DueDiligenceAllocation dueDiligenceAllocation) {
        this.dueDiligenceAllocation = dueDiligenceAllocation;
    }

    public Long getcSupplierInfoHistoryId() {
        return cSupplierInfoHistoryId;
    }

    public void setcSupplierInfoHistoryId(Long cSupplierInfoHistoryId) {
        this.cSupplierInfoHistoryId = cSupplierInfoHistoryId;
    }

    public Long getcEnterpriseHistoryId() {
        return cEnterpriseHistoryId;
    }

    public void setcEnterpriseHistoryId(Long cEnterpriseHistoryId) {
        this.cEnterpriseHistoryId = cEnterpriseHistoryId;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }
    public Integer getScopeCompliance() {
        return scopeCompliance;
    }

    public void setScopeCompliance(Integer scopeCompliance) {
        this.scopeCompliance = scopeCompliance;
    }
    public String getBusinessAddress() {
        return businessAddress;
    }

    public void setBusinessAddress(String businessAddress) {
        this.businessAddress = businessAddress;
    }
    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }
    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }
    public BigDecimal getMainBusinessIncome() {
        return mainBusinessIncome;
    }

    public void setMainBusinessIncome(BigDecimal mainBusinessIncome) {
        this.mainBusinessIncome = mainBusinessIncome;
    }
    public BigDecimal getMainBusinessCost() {
        return mainBusinessCost;
    }

    public void setMainBusinessCost(BigDecimal mainBusinessCost) {
        this.mainBusinessCost = mainBusinessCost;
    }
    public BigDecimal getMainBusinessProfit() {
        return mainBusinessProfit;
    }

    public void setMainBusinessProfit(BigDecimal mainBusinessProfit) {
        this.mainBusinessProfit = mainBusinessProfit;
    }
    public String getRevenueRating() {
        return revenueRating;
    }

    public void setRevenueRating(String revenueRating) {
        this.revenueRating = revenueRating;
    }
//    public String getEvaluationOpinions() {
//        return evaluationOpinions;
//    }
//
//    public void setEvaluationOpinions(String evaluationOpinions) {
//        this.evaluationOpinions = evaluationOpinions;
//    }
    public String getAdmitted() {
        return admitted;
    }

    public void setAdmitted(String admitted) {
        this.admitted = admitted;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public BigDecimal getCreditLimit() {
        return creditLimit;
    }

    public void setCreditLimit(BigDecimal creditLimit) {
        this.creditLimit = creditLimit;
    }

    public Integer getMapFilesCompliance() {
        return mapFilesCompliance;
    }

    public void setMapFilesCompliance(Integer mapFilesCompliance) {
        this.mapFilesCompliance = mapFilesCompliance;
    }

    public Integer getRentalFilesCompliance() {
        return rentalFilesCompliance;
    }

    public void setRentalFilesCompliance(Integer rentalFilesCompliance) {
        this.rentalFilesCompliance = rentalFilesCompliance;
    }

    public Integer getWaterFilesCompliance() {
        return waterFilesCompliance;
    }

    public void setWaterFilesCompliance(Integer waterFilesCompliance) {
        this.waterFilesCompliance = waterFilesCompliance;
    }

    public Integer getOfficeFilesCompliance() {
        return officeFilesCompliance;
    }

    public void setOfficeFilesCompliance(Integer officeFilesCompliance) {
        this.officeFilesCompliance = officeFilesCompliance;
    }
}
